Package Scientific :: Package Visualization :: Module VRML :: Class ShapeObject

[frames] | no frames]

# Class ShapeObject

    VRMLObject --+
                 |
                ShapeObject

Known Subclasses:
  - LinearOrientedObject
  - , Cube
  - , Line
  - , PolyLines
  - , Polygons
  - , Sphere

Graphics objects representing geometrical shapes

This is an abstract base class. Use one of the subclasses to generate graphics.

Instance Methods

__add__(self, other) |

__init__(self, attr, rotation, translation, reference_point) |

use(self, file) |

writeToFile(self, file) |

Inherited from `VRMLObject`: `__copy__`, `__getitem__`, `__setitem__`

Class Variables
| attribute_names = ``[``'``comment``'``,` `'``material``'``,` `'``reuse``'``]``

Method Details

### __init__(self, attr, rotation, translation, reference_point)
(Constructor)

Parameters:
  - `attr` - graphics attributes specified by keywords
  - `material` - color and surface properties
  - `comment` - a comment that is written to the script file
  - `reuse` - a flag defaulting to `False`. If set to `True`, the object may share its VRML definition with other objects. This reduces the size of the VRML file, but can yield surprising side effects in some cases.
Overrides: VRMLObject.__init__
  (inherited documentation)

### writeToFile(self, file)

Overrides: VRMLObject.writeToFile